#ifndef _CLI_PREVIOUS_RESULT_STATEMENT_H_
#define _CLI_PREVIOUS_RESULT_STATEMENT_H_

#include <string>
#include <ast/Statement.h>

namespace cli {

class PreviousResultStatement : public Statement {
	std::string m_name;

public:
	PreviousResultStatement ( std::string name ) : m_name ( std::move ( name ) ) {
	}

	virtual std::shared_ptr < abstraction::OperationAbstraction > translateAndEval ( const std::shared_ptr < abstraction::OperationAbstraction > &, Environment & environment ) const override {
		return environment.getVariable ( m_name );
	}
};

} /* namespace cli */

#endif /* _CLI_PREVIOUS_RESULT_STATEMENT_H_ */
